<?php
saxue_includedb();
class saxuetopicdata extends saxueobjectdata {
		function saxuetopicdata() {
				$this -> initvar( "topicid", SAXUE_TYPE_INT, 0, "专题ID", false, 11 );
				$this -> initvar( "title", SAXUE_TYPE_TXTBOX, "", "标题", false, 50 );
				$this -> initvar( "alias", SAXUE_TYPE_TXTBOX, "", "英文名", false, 30 );
				$this -> initvar( "temp", SAXUE_TYPE_TXTBOX, "", "模版", false, 20 );
				$this -> initvar( "pnum", SAXUE_TYPE_INT, 0, "每页显示文章", false, 4 );
				$this -> initvar( "intro", SAXUE_TYPE_TXTBOX, "", "摘要", false, 200 );
				$this -> initvar( "thumb", SAXUE_TYPE_TXTBOX, "", "缩略图", false, 100 );
				$this -> initvar( "url", SAXUE_TYPE_TXTBOX, "", "URL", false, 100 );
		} 
} 

class saxuetopicdatahandler extends saxueobjecthandler {
		function saxuetopicdatahandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "topicdata";
				$this -> autoid = "topicid";
				$this -> dbname = "topic_data";
		} 
}